
@if ["%~1"]==[""] (
	@set "InstallDir=-"
) else (
	@set InstallDir="%~1"
)

echo %InstallDir%

@echo Windows Registry Editor Version 5.00 >>install.reg
@echo [HKEY_CURRENT_USER\Environment] >>install.reg
@echo "ACLTEMP"=%InstallDir:\=\\% >>install.reg


@regedit /s install.reg
@del install.reg